## org.omg.CORBA
Class Principal

    java.lang.Object
      |
      +--org.omg.CORBA.Principal

Direct Known Subclasses:
  Principal

Deprecated. Principal

public class Principal
extends java.lang.Object

Constructor Summary
`Principal()` Deprecated.

Method Summary
`byte[]` `name()` Deprecated. Deprecated by CORBA 2.2
`void` `name(byte[] name)` Deprecated. Deprecated by CORBA 2.2

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Principal

    public Principal()

  Deprecated.

Method Detail

### name

    public byte[] name()

  Deprecated. Deprecated by CORBA 2.2

### name

    public void name(byte[] name)

  Deprecated. Deprecated by CORBA 2.2